#!/bin/bash

CURL=/usr/bin/curl
CAT=/bin/cat
GREP=/bin/grep
MAWK=/usr/bin/mawk

DEFAULT_FILE=/etc/default/bitmonero-init

COMMAND_IN=$1

CONFIG_FILE=""

if [ -f "${DEFAULT_FILE}" ]
then
    . ${DEFAULT_FILE}

    if [ -n "${COMMAND_IN}" ]
    then
	if [ "${COMMAND_IN}" = "testnet" ]
	then
	    CONFIG_FILE=${TESTNET_SERVER_CONF}
	else
	    CONFIG_FILE=${SERVER_CONF}
	fi
    fi

    USER_PASS=`${CAT} ${CONFIG_FILE} | ${GREP} "rpc-login" | ${MAWK} -F "=" '{print $2;}'`
    RPC_IP=`${CAT} ${CONFIG_FILE} | ${GREP} "rpc-bind-ip" | ${MAWK} -F "=" '{print $2;}'`
    RPC_PORT=`${CAT} ${CONFIG_FILE} | ${GREP} "rpc-bind-port" | ${GREP} -v testnet | ${MAWK} -F "=" '{print $2;}'`
    RPC_PORT_TESTNET=`${CAT} ${CONFIG_FILE} | ${GREP} "rpc-bind-port" | ${GREP} testnet | ${MAWK} -F "=" '{print $2;}'`

    if [ "${COMMAND_IN}" = "testnet" ]
    then
	RPC_PORT=${RPC_PORT_TESTNET}
    fi

    ${CURL} -u ${USER_PASS} --digest -X POST http://${RPC_IP}:${RPC_PORT}/stop_daemon -H 'Content-Type: application/json' -o /dev/null 1>/dev/null 2>/dev/null
fi





